# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html
import os
import sys

import sphinx_rtd_theme

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information
sys.path.insert(0, os.path.abspath("../../src"))
sys.path.append(os.path.abspath("."))
sys.path.append(os.path.abspath("../"))

autodoc_mock_imports = ["coloredlogs", "pyinputplus"]

project = "SCLogging"
copyright = "2023, sshimek42"
author = "sshimek42"
release = "1.0.4"
version = "1.0.4"

# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration

extensions = [
    "sphinx.ext.autodoc",
    "sphinx.ext.autosummary",
    "sphinx_rtd_theme",
    "sphinx.ext.napoleon",
]

autodoc_typehints = "both"
autodoc_typehints_format = "fully-qualified"

napoleon_use_param = True
napoleon_attr_annotations = True

templates_path = ["_templates"]
exclude_patterns = []

# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = "sphinx_rtd_theme"
html_static_path = ["_static"]
autosummary_generate = True
